[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPGMapInterfacedObjectData.Find

Find item based on key

## Declaration

Source position: fgl.pp line 421

`public function TFPGMapInterfacedObjectData.Find(`
`const AKey: TKey;`
`out Index: Integer`
`):Boolean;`

## Arguments

`AKey` |  | Key to search for
`Index` |  | Index of found key

## Function result

True if an exact match for AKey was found.

## Description

Find will search the first key smaller than or equal to AKey and return its index in AIndex. If the key was not found then -1 is returned. The return value of the function is True if an exact match for AKey is found, False otherwise.

## See also

TFPGMapInterfacedObjectData.IndexOf |  | Find index of a key in the list.
TFPGMapInterfacedObjectData.IndexOfData |  | Find index of data value in the list.